Name:           gpa
Version:        0.7.0
Release:        0.fdr.2.2
Epoch:          0
Summary:        Graphical user interface for GnuPG

Group:          Applications/System
License:        GPL
URL:            http://www.gnupg.org/related_software/gpa/
Source0:        ftp://ftp.gnupg.org/gcrypt/alpha/gpa/gpa-0.7.0.tar.gz
Source1:        %{name}.desktop
Patch0:         %{name}-keyservers.patch
Patch1:         %{name}-keytable-init.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtk2-devel >= 0:2.0.0, zlib-devel, desktop-file-utils
BuildRequires:  gnupg >= 0:1.2.1-3, gpgme-devel >= 0:0.4.3, gettext

%description
GNU Privacy Assistant (GPA) is a graphical frontend for the GNU
Privacy Guard (GnuPG).  GPA can be used to encrypt, decrypt, and sign
files, to verify signatures and to manage the private and public keys.


%prep
%setup -q
%patch0 -p0
%patch1 -p1


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
desktop-file-install \
  --vendor fedora \
  --mode 644 \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category X-Fedora \
  %{SOURCE1}
install -Dpm 644 gpa-logo-48x48.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/gpa.png
%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README* THANKS TODO VERSION
%{_bindir}/*
%{_datadir}/gpa
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*.png


%changelog
* Tue Nov 25 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.7.0-0.fdr.2
- Include fix against hang at startup when no private key exists (bug 864).

* Thu Oct 23 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.7.0-0.fdr.1
- Update to 0.7.0.
- Spec file and desktop entry cleanups.
- Use upstream icon for desktop entry.
- Update description.

* Tue Mar 25 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.6.1-0.fdr.3
- Fix icon in desktop entry (#64).
- Don't include INSTALL in %%doc.

* Sun Mar 23 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.6.1-0.fdr.2
- BuildRequire gnupg >= 1.2.1-3 for LDAP and HKP support.
- Add icon for the desktop entry (#64).

* Sat Mar 22 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.6.1-0.fdr.1
- Update to current Fedora guidelines.

* Wed Feb 12 2003 Warren Togami <warren@togami.com> 0.6.1-1.fedora.2
- Add BuildRequires zlib-devel

* Sun Feb  9 2003 Ville Skyttä <ville.skytta at iki.fi> - 0.6.1-1cr
- First Fedora release.
